Sign in with
Sign up | Sign in
Your question

Is it worth it to install Crysis 1.2 and 1.2.1 patches?

Last response: in Video Games
Share
April 3, 2008 1:09:54 AM

Hey so anyone know what the new 1.2 and 1.2.1 patches do for Crysis? If everything is working fine for me now without any patches and I don’t play online much, is it even worth it?

When I installed the game everything was working perfectly. Then I installed patch 1.1 and then I started noticing lock-ups and many other little problems. So I am hesitant to install any more patches this time unless I notice a dramatic difference or upgrade. Any thoughts?
April 3, 2008 2:17:29 AM

Unless you are experiencing problems, I wouldn't update. However, you must update if you want to play multiplayer, so, that might limit that idea.

People are reporting lots of problems with the patches. And as far as I know, your driver version is much much more important to your frame rate than your game version, if that is what you were getting at with your question.
April 3, 2008 7:34:41 AM

oddly since I patched to 1.2 (havent tried 1.2.1) the back wheels are missing from jeeps...

seriously theres just a big empty wheel arch there, shoot the space and a busted tyre and wheel appear out of nowhere...

maybe 1.2.1 addresses that issue havent looked into it
Related resources
April 3, 2008 3:16:49 PM

Hmmm.. I have yet to have any problems with patch 1.1 or 1.2. In fact I was just able to up the graphics quality due to Cat 8.3 improving Vista Crysis performance.

I would try 1.2 as it probably would address some issues that you might not know of such as memory leaks, which if not stopped will make it take up all your memory.
April 4, 2008 1:20:03 AM

jimmysmitty said:
Hmmm.. I have yet to have any problems with patch 1.1 or 1.2. In fact I was just able to up the graphics quality due to Cat 8.3 improving Vista Crysis performance.

I would try 1.2 as it probably would address some issues that you might not know of such as memory leaks, which if not stopped will make it take up all your memory.


What is Cat 8.3? I have Windows XP with the upgaded Vista gaphics fix and run everything at max except the ailising. I have also installed 1.1, 1.2, 1.2.1. Is Cat 8.3 something else or do I have it when I installed the patches?
April 4, 2008 2:02:52 AM

It's the ATI drivers, they're called catalyst so if you don't have an ATI card it will do nothing.
April 4, 2008 2:08:32 AM

Ah thanks. I use to be an ATI guy, but made the change to the NVidia 8800GT. Its a beauty for the money. Also, I had an Nvidia 680i mobo. So had to match my outfit.
August 13, 2008 8:21:18 AM

hey, i have a problem with crysis patch file 1.2! i downloaded the patch file on my desktop and when i click it it says C:\users\user\Desktop\Crysis_Patch_1_2.exe is not a valid Win32 application. can anyone help me?i have windows vista 32 bit if this helps...
August 13, 2008 7:07:46 PM

I hope someone else can help ya, because I am not too familiar with Vista 32, but I say when you install the game, if its not broken then dont fix it with all these new patches. I am running on just 1.1 patch I believe and am happy and have seen too many times that a patch can screw things up and that even goes for Windows updates sometimes. If its not broken dont fix it thinking it will get better, unless you are positive you need the fix and have heard good reviews on the patch.
August 14, 2008 4:54:23 AM

^Its not Vista that did that. Its a bad download. You need to download that patch from another download site is what it is.

This happened to a lot of people who had XP or Vista. Its just what happens.
August 22, 2011 7:51:41 PM

Noobe to the crysis game here.

I have Crysis. I have downloaded three patches: v1.1, v1.2 and v1.2.1.

I will not be playing online.

I am running windows 7 ultimate x86.

Patch v1.1 seems to install great. Patch v1.2 on the other hand won't run. The comp says it stopped working.

I have tried searching the web for answers to this and tried almost every conceivable solution.

So here's my question:

Does anyone know how to get "patch v1.2" to install.

P.S. My system can handle crysis 2 so I'm up on the min. req. for crysis.
August 22, 2011 9:27:21 PM

I never went beyond Crysis 1.0.

I would say unless you are experiencing problems with version 1.0 or you want to play multiplayer, then don't bother patching Crysis.
August 22, 2011 11:53:14 PM

The new patches are required for the high res texture pack and DX11 to install.
!